Students - List
Get a list of details about students that are associated with the specified lab.
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students?api-version=2021-12-01-preview
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students?includeDeleted={includeDeleted}&api-version=2021-12-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
billing
|
path | True |
string |
The ID that uniquely identifies a billing account. |
|
billing
|
path | True |
string |
The ID that uniquely identifies a billing profile. |
|
invoice
|
path | True |
string |
The ID that uniquely identifies an invoice section. |
|
api-version
|
query | True |
string |
Version of the API to be used with the client request. Current version is 2021-12-01-preview |
|
include
|
query |
boolean |
May be used to show deleted items. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Student details. |
|
| Other Status Codes |
Describes the error if the operation is not successful. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
StudentList
Sample request
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students?api-version=2021-12-01-preview
Sample response
{
"value": [
{
"id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students/{studentAlias}",
"name": "{studentAlias}",
"type": "Microsoft.Education/Students",
"properties": {
"firstName": "test",
"lastName": "user",
"email": "test@contoso.com",
"role": "Student",
"budget": {
"currency": "USD",
"value": 100
},
"subscriptionId": "000000000-0000-0000-0000-00000000000000",
"expirationDate": "2022-11-09T21:43:54.161Z",
"status": "Active",
"effectiveDate": "2021-11-09T21:43:54.161Z",
"subscriptionAlias": "000000000-0000-0000-0000-00000000000000",
"subscriptionInviteLastSentDate": "2021-11-09T21:43:54.161Z"
}
}
]
}
Definitions
| Name | Description |
|---|---|
| Amount |
The amount. |
|
created |
The type of identity that created the resource. |
|
Error |
Describes the format of Error response. |
|
Error |
Error response indicates that the service is not able to process the incoming request. The reason is provided in the error message. |
| Student Lab Status |
Student Lab Status |
| Student role |
Student Role |
|
Student |
Student details. |
|
Student |
List of students. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
Amount
The amount.
| Name | Type | Description |
|---|---|---|
| currency |
string |
The type of currency being used for the value. |
| value |
number |
Amount value. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorResponse
Describes the format of Error response.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| message |
string |
Error message indicating why the operation failed. |
ErrorResponseBody
Error response indicates that the service is not able to process the incoming request. The reason is provided in the error message.
| Name | Type | Description |
|---|---|---|
| error |
The details of the error. |
Student Lab Status
Student Lab Status
| Value | Description |
|---|---|
| Active | |
| Disabled | |
| Expired | |
| Pending | |
| Deleted |
Student role
Student Role
| Value | Description |
|---|---|
| Student | |
| Admin |
StudentDetails
Student details.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties.budget |
Student Budget |
|
| properties.effectiveDate |
string (date-time) |
Date student was added to the lab |
| properties.email |
string |
Student Email |
| properties.expirationDate |
string (date-time) |
Date this student is set to expire from the lab. |
| properties.firstName |
string |
First Name |
| properties.lastName |
string |
Last Name |
| properties.role |
Student Role |
|
| properties.status |
Student Lab Status |
|
| properties.subscriptionAlias |
string |
Subscription alias |
| properties.subscriptionId |
string |
Subscription Id |
| properties.subscriptionInviteLastSentDate |
string (date-time) |
subscription invite last sent date |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
StudentListResult
List of students.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The link (url) to the next page of results. |
| value |
The list of students. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |